org.richfaces.fragment.dataGrid

## Class RichFacesDataGrid.AdvancedDataGridInteractions

- java.lang.Object
- - org.richfaces.fragment.dataGrid.RichFacesDataGrid.AdvancedDataGridInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesDataGrid<RECORD>

      public class RichFacesDataGrid.AdvancedDataGridInteractions
      extends Object
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesDataGrid.AdvancedDataGridInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getCssSelectorForRow()`
    `protected String` | `getJQSelectorForColumn()`
    `protected String` | `getJQSelectorForRecord()`
    `protected org.openqa.selenium.WebElement` | `getNoDataElement()`
    `protected List<org.openqa.selenium.WebElement>` | `getRecordsElements()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `protected List<org.openqa.selenium.WebElement>` | `getRowElements()`
    `boolean` | `isNoData()`
    `boolean` | `isVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesDataGrid.AdvancedDataGridInteractions

          public RichFacesDataGrid.AdvancedDataGridInteractions()

  - ### Method Detail

    - #### getCssSelectorForRow

          protected String getCssSelectorForRow()

    - #### getJQSelectorForRecord

          protected String getJQSelectorForRecord()

    - #### getJQSelectorForColumn

          protected String getJQSelectorForColumn()

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### getRowElements

          protected List<org.openqa.selenium.WebElement> getRowElements()

    - #### getRecordsElements

          protected List<org.openqa.selenium.WebElement> getRecordsElements()

    - #### getNoDataElement

          protected org.openqa.selenium.WebElement getNoDataElement()

    - #### isNoData

          public boolean isNoData()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.